> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/retrieve-domain.md).

# Retrieve Domain

To retrieve a domain, perform a `GET` request.

## Endpoint

Use the following endpoint to retrieve a domain: `https://iam.ionos.com/federation/domains/{domainId}`.

## Request

{% hint style="info" %}
**Note:** The following request contains a sample `domainId`. Replace it with the `domainId` value, whose information you want to retrieve.
{% endhint %}

```bash
curl --location \
--request GET 'https://iam.ionos.com/federation/domains/f181c212-34f1-5843-9bbb-fc2531c7d928' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJraWQiO' \
--header 'Content-Type: application/json'
```

{% tabs %}
{% tab title="Path Parameters" %}
Below is the list of mandatory path parameter:

| **Body Parameters** | **Type** | **Description**              | **Example**                            |
| ------------------- | -------- | ---------------------------- | -------------------------------------- |
| `domainId`          | string   | The ID (UUID) of the domain. | `f181c212-34f1-5843-9bbb-fc2531c7d928` |
| {% endtab %}        |          |                              |                                        |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| **Header Parameters** | **Required** | **Type** | **Description**                                                                                                                                                                                                                                                                 |
| --------------------- | :----------: | :------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`       |      yes     |  string  | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). From the DCD, [<mark style="color:blue;">Generate authentication token</mark>](/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager.md#generate-authentication-token). |
| `Content-Type`        |      yes     |  string  | Set this to `application/json`.                                                                                                                                                                                                                                                 |
| {% endtab %}          |              |          |                                                                                                                                                                                                                                                                                 |
| {% endtabs %}         |              |          |                                                                                                                                                                                                                                                                                 |

## Response

**200 Successful operation**

```bash
{
   "id":"f181c212-34f1-5843-9bbb-fc2531c7d928",
   "type":"domain",
   "href":"/domains/f181c212-34f1-5843-9bbb-fc2531c7d928",
   "metadata":{
      "createdDate":"2020-12-10T13:37:50+01:00",
      "createdBy":"ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "createdByUserId":"87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "lastModifiedDate":"2020-12-11T13:37:50+01:00",
      "lastModifiedBy":"ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "lastModifiedByUserId":"87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
      "resourceURN":"ionos:<product>:<location>:<contract>:<resource-path>",
      "account":123456
   },
   "properties":{
      "domain":"yourcompany.com",
      "status":"REQUESTED",
      "message":"The token provided should be added to the TXT Domain Record, then request to verify the ownership. Important: This is the only time the token will be visible to you, so please take note of it now."
   }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/iam-federation/api-how-tos/retrieve-domain.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
